com.thinkaurelius.titan.graphdb.database.serialize.attribute

## Class ArraySerializer

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.serialize.attribute.ArraySerializer

- All Implemented Interfaces:
    SupportsNullSerializer
  Direct Known Subclasses:
    BooleanArraySerializer, ByteArraySerializer, CharArraySerializer, DoubleArraySerializer, FloatArraySerializer, IntArraySerializer, LongArraySerializer, ShortArraySerializer, StringArraySerializer

      public abstract class ArraySerializer
      extends Object
      implements SupportsNullSerializer

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArraySerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Object` | `getArray(int length)`
    `protected int` | `getLength(ScanBuffer buffer)`
    `protected int` | `isArrayOf(Object value, Class boxedClass)`
    `protected int` | `isIterableOf(Object value, Class boxedClass)`
    `protected abstract void` | `setArray(Object array, int pos, Object value)`
    `protected void` | `writeLength(WriteBuffer buffer, Object array)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArraySerializer

          public ArraySerializer()

  - ### Method Detail

    - #### getArray

          protected abstract Object getArray(int length)

    - #### setArray

          protected abstract void setArray(Object array,
                      int pos,
                      Object value)

    - #### isIterableOf

          protected int isIterableOf(Object value,
                         Class boxedClass)

    - #### isArrayOf

          protected int isArrayOf(Object value,
                      Class boxedClass)

    - #### getLength

          protected int getLength(ScanBuffer buffer)

    - #### writeLength

          protected void writeLength(WriteBuffer buffer,
                         Object array)

Copyright © 2012–2014. All rights reserved.